<?php
/**********************************************************/
/*                                                        */
/*                          ListIt                        */
/*                      ベースファイル                    */
/*                     Ver1.0 (2016/3)                    */
/*                                                        */
/*     本プログラムの知的所有権は株式会社ザ・ハウスが     */
/*     所有しています。著作権表示の削除、本プログラム     */
/*     の無断使用、転載、改変を禁じます。                 */
/*                                                        */
/**********************************************************/

//カラム名定義　※キーはデータファイルの項目（"<>"区切り）の並び順と揃える
$collum = array(
	0=>array('name'=>'customer_id', 'comment'=>'ID'),
	1=>array('name'=>'date_regist', 'comment'=>'登録日'),
	2=>array('name'=>'time_regist', 'comment'=>'登録時'),
	3=>array('name'=>'inquiry_class', 'comment'=>'お問合せ種類'),
	4=>array('name'=>'l_name', 'comment'=>'姓（漢字）'),
	5=>array('name'=>'f_name', 'comment'=>'名（漢字）'),
	6=>array('name'=>'l_name_yomi', 'comment'=>'姓（ヨミ）'),
	7=>array('name'=>'f_name_yomi', 'comment'=>'姓（ヨミ）'),
	8=>array('name'=>'sex', 'comment'=>'性別'),
	9=>array('name'=>'birth_day', 'comment'=>'生年月日'),
	10=>array('name'=>'zip', 'comment'=>'郵便番号'),
	11=>array('name'=>'pref', 'comment'=>'都道府県'),
	12=>array('name'=>'address1', 'comment'=>'住所１'),
	13=>array('name'=>'address2', 'comment'=>'住所２'),
	14=>array('name'=>'tel', 'comment'=>'電話番号'),
	15=>array('name'=>'email', 'comment'=>'メールアドレス'),
	16=>array('name'=>'inquiry', 'comment'=>'内容'),
	17=>array('name'=>'dm', 'comment'=>'DM'),
	18=>array('name'=>'memo', 'comment'=>'備考'),
);

//ファイル定義
define("DataDir", "dat/");  //データディレクトリ
define("IniFile", DataDir . "listit.ini");  //初期設定ファイル
define("DataFile", DataDir . "customer.dat");  //データファイル
define("BackupFile", DataDir . "customer.bak");  //データバックアップファイル
define("SerialFile", DataDir . "serial.dat");  //通し番号ファイル

//関数ファイルの読み込み
$function_file = "./lib/function.php";
if (!file_exists($function_file)){
	die("関数ファイルがないか、パスが間違っています。");
} else {
	require_once($function_file);
}

//初期設定ファイルの読み込み
if (!file_exists(IniFile)){
	errorMsg("初期設定ファイルがないか、パスが間違っています。");
} else {
	$ini_arr = file (IniFile, FILE_IGNORE_NEW_LINES);
}

//顧客データファイルの存在確認
if(!file_exists (DataFile)){
	errorMsg("顧客データファイルがないか、パスが間違っています。");
}

//初期設定の展開
define("numRow", $ini_arr[0]);    //１ページ当たりの表示行数
define("TitlePrefix", $ini_arr[1]);  //ページタイトルのプレフィクス

//カラムの使用・不使用、必須・任意の展開（氏名や住所などがまとまるのでカラム数とは合わない）
$tmp = explode("<>", $ini_arr[2]);
$corner = array();
list($corner['inquiry_class']['valid'], $corner['inquiry_class']['require']) = explode(",", $tmp[0]);
list($corner['name']['valid'], $corner['name']['require']) = explode(",", $tmp[1]);
list($corner['name_yomi']['valid'], $corner['name_yomi']['require']) = explode(",", $tmp[2]);
list($corner['sex']['valid'], $corner['sex']['require']) = explode(",", $tmp[3]);
list($corner['birth_day']['valid'], $corner['birth_day']['require']) = explode(",", $tmp[4]);
list($corner['address']['valid'], $corner['address']['require']) = explode(",", $tmp[5]);
list($corner['tel']['valid'], $corner['tel']['require']) = explode(",", $tmp[6]);
list($corner['email']['valid'], $corner['email']['require']) = explode(",", $tmp[7]);
list($corner['inquiry']['valid'], $corner['inquiry']['require']) = explode(",", $tmp[8]);
list($corner['dm']['valid'], $corner['dm']['require']) = explode(",", $tmp[9]);

//コントローラー名の代入
if (!$_GET['c']) {
	$controller = "list";
} else {
	$controller = $_GET['c'];
}

//標準機能とアドオン機能のディレクトリ設定
if ($controller == "list" or $controller == "utility"){
	define("CtrDir", "controllers/");  //コントローラーフォルダ
	define("ModelDir", "models/");  //モデルフォルダ
	define("ViewDir", "views/");  //ビューフォルダ
} else {
	define("PluginDir", "plugin/" . $controller . "/");  //各プラグインフォルダ
	define("CtrDir", PluginDir . "controllers/");  //コントローラーフォルダ
	define("ModelDir", PluginDir . "models/");  //モデルフォルダ
	define("ViewDir", PluginDir . "views/");  //ビューフォルダ
}

//セッション開始
session_start();

//コントローラーの読み込み
$ctrName = ucfirst(strtolower($controller)) . 'Controller';
$ctrFileName = CtrDir . $ctrName . '.php';
require_once $ctrFileName;
