<?php
/**********************************************************/
/*                                                        */
/*                   顧客管理プログラム                   */
/*                   データのインポート                   */
/*                     インポート処理                     */
/*                     Ver1.0 (2016/4)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/

if (!file_exists($tmp_file)){

	errorMsg("一時ファイルがありません。");

} else {

	//一時ファイルの読み込み
	$data_arr = file($tmp_file);

	//有効なレコードの抽出
	$tmp_arr = array();
	foreach ($data_arr as $dataline){
		$dataline = rtrim($dataline);
		$data = str_replace(",", "", $dataline);
		if ($data){
			$tmp_arr[] = $dataline;
		}
	}
	$data_arr = $tmp_arr;

	//シリアルナンバーの予約（割り込み処理対策）
	$num_data = count($data_arr);
	if(!file_exists (SerialFile)){
		errorMsg("通し番号ファイルがないか、パスが間違っています。");
	} else {
		$serial_num = file_get_contents (SerialFile);
	}
	$last_num = $serial_num + $num_data;
	file_put_contents(SerialFile, $last_num);

	//追加データの生成
	$new_data = "";
	foreach($data_arr as $dataline){
		$serial_num++;
		$new_data .= formImportData($dataline, $serial_num);
	}

	//データのマージ
	file_put_contents(DataFile, $new_data, FILE_APPEND | LOCK_EX);

}

/*********************** 関数 *************************/

function formImportData($dataline, $serial_num){

	global $collum;

	//エンコード
	$dataline = mb_convert_encoding($dataline, "UTF-8", "JIS,SJIS,EUC-JP,SJIS-win");

	//行末の改行を除去
	$dataline = rtrim($dataline);

	//データ切り分け
	$data = array();
	list ($data['date_regist'], $data['l_name'], $data['f_name'], $data['l_name_yomi'], $data['f_name_yomi'], $data['sex'], $data['birth_day'], $data['zip'], $data['pref'], $data['address1'], $data['address2'], $data['tel'], $data['email'], $data['inquiry'], $data['dm'], $data['memo']) = explode(",", $dataline);

	//データ整形
	$data['customer_id'] = $serial_num;
	if ($data['l_name_yomi']){
		$data['l_name_yomi'] = mb_convert_kana($data['l_name_yomi'], "KVC", "utf-8");
	}
	if ($data['f_name_yomi']){
		$data['f_name_yomi'] = mb_convert_kana($data['f_name_yomi'], "KVC", "utf-8");
	}
	if ($data['date_regist']){
		$data['date_regist'] = farmatDate($data['date_regist']);
	}
	if ($data['sex']){
		$data['sex'] = farmatSex($data['sex']);
	}
	if ($data['birth_day']){
		$data['birth_day'] = farmatDate($data['birth_day']);
	}
	if ($data['pref']){
		$data['pref'] = farmatPref($data['pref']);
	}
	if ($data['inquiry']){
		$data['inquiry'] = preg_replace("/(\r\n|\n|\r)/", "<br />", $data['inquiry']);
	}
	if ($data['dm']){
		$data['dm'] = farmatDm($data['dm']);
	}
	if ($data['memo']){
		$data['memo'] = preg_replace("/(\r\n|\n|\r)/", "<br />", $data['memo']);
	}

	//データラインの形成
	foreach ($collum as $value){
		$tmp_line .= $data[$value['name']] . "<>";
	}
	$tmp_line = rtrim($tmp_line, "<>");
	$tmp_line .= "\n";

	return $tmp_line;

}

//日付整形
function farmatDate($date){
	list ($year, $month, $date) = explode("/", $date);
	if (mb_strlen($month) == 1){$month = "0" . $month;}
	if (mb_strlen($date) == 1){$date = "0" . $date;}
	return $year . "/" . $month . "/" . $date;
}

//性別整形
function farmatSex($sex){
	if ($sex == "男性" or $sex == "男" or $sex == "M" or $sex == "m"){$sex = "男性";}
	elseif ($sex == "女性" or $sex == "女" or $sex == "F" or $sex == "f"){$sex = "女性";}
	return $sex;
}

//都道府県整形
function farmatPref($pref){
	if (is_numeric($pref)){
		$prefArray = array("1" => "北海道", "2" => "青森県", "3" => "岩手県", "4" => "宮城県", "5" => "秋田県", "6" => "山形県", "7" => "福島県", "8" => "茨城県", "9" => "栃木県", "10" => "群馬県", "11" => "埼玉県", "12" => "千葉県", "13" => "東京都", "14" => "神奈川県", "15" => "新潟県", "16" => "富山県", "17" => "石川県", "18" => "福井県", "19" => "山梨県", "20" => "長野県", "21" => "岐阜県", "22" => "静岡県", "23" => "愛知県", "24" => "三重県", "25" => "滋賀県", "26" => "京都府", "27" => "大阪府", "28" => "兵庫県", "29" => "奈良県", "30" => "和歌山県", "31" => "鳥取県", "32" => "島根県", "33" => "岡山県", "34" => "広島県", "35" => "山口県", "36" => "徳島県", "37" => "香川県", "38" => "愛媛県", "39" => "高知県", "40" => "福岡県", "41" => "佐賀県", "42" => "長崎県", "43" => "熊本県", "44" => "大分県", "45" => "宮崎県", "46" => "鹿児島県", "47" => "沖縄県");
		return $prefArray[$pref];
	} else {
		return $pref;
	}
}

//DM整形
function farmatDm($dm){
	if ($dm == "受け取る" or $dm == "受取る" or $dm == "y" or $dm == "yes" or $dm == "1"){$dm = "受け取る";}
	elseif ($dm == "受け取らない" or $dm == "受取らない" or $dm == "n" or $dm == "no" or $dm == "0"){$dm = "受け取らない";}
	return $dm;
}

