<?php
/**********************************************************/
/*                                                        */
/*                         ListIt                         */
/*                  顧客データの読み込み                  */
/*                       一覧ページ                       */
/*                     Ver1.0 (2016/3)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/


//正規表現用のエンコーディングを設定
mb_regex_encoding("UTF-8");

//現在ページの取得
if ($_GET['pagereset'] == "y"){  //検索
	$curPage = "1";
	$_SESSION['customer_curPage'] = "1";
} elseif ($_GET['curpage']){  //ページスイッチ
	$curPage = $_GET['curpage'];
	$_SESSION['customer_curPage'] = $curPage;
} elseif ($_SESSION['customer_curPage']){  //セッションがある場合
	$curPage = $_SESSION['customer_curPage'];
} else {  //初期状態
	$curPage = "1";
	$_SESSION['customer_curPage'] = "1";
}

//カナタブの取得
if ($_GET['kanareset'] == "y"){  //検索
	$kanaOrder = "";
	$_SESSION['customer_kanaOrder'] = "";
} elseif ($_GET['k']){
	$kanaOrder = $_GET['k'];
	$_SESSION['customer_kanaOrder'] = $kanaOrder;
} elseif ($_SESSION['customer_kanaOrder']){  //セッションがある場合
	$kanaOrder = $_SESSION['customer_kanaOrder'];
} else {  //初期状態
	$kanaOrder = "";
	$_SESSION['customer_kanaOrder'] = "";
}

//ソートアクションの取得
$sortAction = $_GET['saction'];

//ソートキーの取得
if ($corner['name_yomi']['valid'] == "1") {
	$default_sortKey = "name_yomi";
} else {
	$default_sortKey = "name";
}

if ($_GET['skey']){
	$sortKey = $_GET['skey'];
	$_SESSION['customer_sortKey'] = $sortKey;
} elseif ($_SESSION['customer_sortKey']){
	$sortKey = $_SESSION['customer_sortKey'];
} else {
	$sortKey = $default_sortKey;
	$_SESSION['customer_sortKey'] = $default_sortKey;
}

//顧客データの読み込み
$customer_arr = file(DataFile);

//検索
$query = $_GET['q'];
$query = trim(mb_convert_kana($query, "s", "utf-8"));

if ($query) {
	$tmp = mb_convert_kana($query, "KVC", "utf-8");  //カタカナに変換
	$q_arr = explode(" ", $tmp);  //複数検索語の切りだし
	$num_q = count($q_arr);  //検索語数
	$tmp = array();
	foreach ($customer_arr as $dataline){
		$escape_data = "/^(.*?)<>(.*?)<>(.*?)<>/"; //データ中の管理情報
		$search_text = preg_replace($escape_data, "",$dataline ); //管理情報を削除
		$search_text2 = mb_convert_kana($search_text, "KVC", "utf-8");  //カタカナパターン
		$n = 0;
		foreach ($q_arr as $q_word){
			$pattern = ".*" . $q_word . ".*";
			if (mb_ereg_match($pattern, $search_text) or mb_ereg_match($pattern, $search_text2)){
				$n++;
			}
		}
		if ($n == $num_q){  //すべての検索語がマッチした場合（and検索）
			array_push($tmp, $dataline);
		}
	}
	$customer_arr = $tmp;
}

//カラム名をキーとした連想配列に整形
$customer_arr = formArray($customer_arr);

//50音タブによる絞り込み
if ($kanaOrder and $kanaOrder != "all"){
	if ($kanaOrder == "a"){$pattern = "ア|イ|ウ|エ|オ";}
	elseif ($kanaOrder == "k"){$pattern = "カ|キ|ク|ケ|コ|ガ|ギ|グ|ゲ|ゴ";}
	elseif ($kanaOrder == "s"){$pattern = "サ|シ|ス|セ|ソ|ザ|ジ|ズ|ゼ|ゾ";}
	elseif ($kanaOrder == "t"){$pattern = "タ|チ|ツ|テ|ト|ダ|ヂ|ヅ|デ|ド";}
	elseif ($kanaOrder == "n"){$pattern = "ナ|ニ|ヌ|ネ|ノ";}
	elseif ($kanaOrder == "h"){$pattern = "ハ|ヒ|フ|ヘ|ホ|バ|ビ|ブ|ベ|ボ|パ|ピ|プ|ペ|ポ";}
	elseif ($kanaOrder == "m"){$pattern = "マ|ミ|ム|メ|モ";}
	elseif ($kanaOrder == "y"){$pattern = "ヤ|ユ|ヨ";}
	elseif ($kanaOrder == "r"){$pattern = "ラ|リ|ル|レ|ロ";}
	elseif ($kanaOrder == "w"){$pattern = "ワ|ヲ|ン";}
	elseif ($kanaOrder == "other"){$pattern = "[^ア-ン]";}
	$tmp_arr = array();
	foreach ($customer_arr as $dataline){
		if ($kanaOrder == "other"){
			if (mb_ereg_match($pattern, $dataline['l_name_yomi']) or !$dataline['l_name_yomi']){
				$tmp_arr[] = $dataline;
			}
		} else {
			if (mb_ereg_match($pattern, $dataline['l_name_yomi'])){
				$tmp_arr[] = $dataline;
			}
		}
	}
	$customer_arr = $tmp_arr;
}

//顧客総数
$num_customer = count($customer_arr);

//ソート順
if($sortAction != "y"){
	if(!$_SESSION['customer_sortFlag']){
		$_SESSION['customer_sortFlag'] = "ASC";  //初期状態
	}
} else {  //ソートリクエストがある場合
	if(!$_SESSION['customer_sortFlag']){
		$_SESSION['customer_sortFlag'] = "DESC";  //最初のソート
	} else {
		if ($_SESSION['customer_sortFlag'] == "DESC"){  //２回目以降のソート
			$_SESSION['customer_sortFlag'] = "ASC";
		} else {
			$_SESSION['customer_sortFlag'] = "DESC";
		}
	}
}

//ソート
$sortKey_arr = array();
foreach ($customer_arr as $dataline) {
	$sortKey_arr[] = $dataline[$sortKey];
}
if ($_SESSION['customer_sortFlag'] == "ASC"){
	array_multisort($sortKey_arr, SORT_ASC, $customer_arr);
} else {
	array_multisort($sortKey_arr, SORT_DESC, $customer_arr);
}

//ページ総数
$total_page = floor(($num_customer - 1) / numRow) + 1;

//切り分けるレコード
$start_rec = numRow * ($_SESSION['customer_curPage'] - 1);	//始めのレコード
$end_rec = $start_rec + numRow - 1;	//終わりのレコード

//検索語のエンコード
if ($query){
	$q_chr = "&q=" . urlencode ($query);
}

//ページタイトル
$pageTitle = TitlePrefix . "一覧";

