<?php
/**********************************************************/
/*                                                        */
/*                   顧客管理プログラム                   */
/*                新規登録・修正・削除処理                */
/*                     Ver1.0 (2016/4)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/

//新規入力の場合
if ($_POST['m'] == "new") {

  //シリアルナンバーの読み込み
	if(!file_exists (SerialFile)){
		errorMsg("通し番号ファイルがないか、パスが間違っています。");
	} else {
		$serial_num = file_get_contents (SerialFile);
	}

	//シリアルナンバーの更新
	$serial_num++;
	file_put_contents(SerialFile, $serial_num);

	//データラインの形成
	$customer_id = $serial_num;
	$new_dataline = formDataline($customer_id);

	//入力データの書き込み
	file_put_contents(DataFile, $new_dataline, FILE_APPEND | LOCK_EX);

}

//修正の場合
elseif ($_POST['m'] == "modify") {

	//データラインの形成
	$customer_id = $_POST['customer_id'];
	$new_dataline = formDataline($customer_id);

	//顧客データの読み込み
	$customer_arr = file(DataFile);

	//顧客データの再構成
	$pattern = "/^" . $_POST['customer_id'] . "<>/";  //データ行のID部分の正規表現
	$tmp = array();
	foreach ($customer_arr as $dataline){
		if (preg_match($pattern, $dataline)){
			$valid_flag = "1";
			$tmp[] = $new_dataline;
		} else {
			$tmp[] = $dataline;
		}
	}
	$customer_arr = $tmp;

	if (!$valid_flag){errorMsg("修正対象データが見つかりません。");}

	//データ配列の書き込み
	file_put_contents(DataFile, $customer_arr, LOCK_EX);

}

//削除の場合
elseif ($_POST['m'] == "delete") {

	//顧客データの読み込み
	$customer_arr = file(DataFile);

	//顧客データの再構成
	$pattern = "/^" . $_POST['customer_id'] . "<>/";  //データ行のID部分の正規表現
	$tmp = array();
	foreach ($customer_arr as $dataline){
		if (preg_match($pattern, $dataline)){
			$valid_flag = "1";
		} else {
			$tmp[] = $dataline;
		}
	}
	$customer_arr = $tmp;

	if (!$valid_flag){errorMsg("削除対象データが見つかりません。");}

	//データ配列の書き込み
	file_put_contents(DataFile, $customer_arr, LOCK_EX);

}


/************************** 関数 *************************/

//データラインの形成関数
function formDataline($id) {

	//ヨミを全角カタカナに変換
	if($_POST['l_name_yomi']){
		$l_name_yomi = mb_convert_kana($_POST['l_name_yomi'], "KVC", "utf-8");
	}
	if($_POST['f_name_yomi']){
		$f_name_yomi = mb_convert_kana($_POST['f_name_yomi'], "KVC", "utf-8");
	}

	//生年月日の整形
	if ($_POST['birth_year'] and $_POST['birth_month'] and $_POST['birth_date']){
		$birth_day = $_POST['birth_year'] . "/" . $_POST['birth_month'] . "/" . $_POST['birth_date'];
	}

	//問い合わせ内容の改行マークの置換（DB使用の場合は不必要）
	if ($_POST['inquiry']){
		$inquiry = preg_replace("/(\r\n|\n|\r)/", "<br />", $_POST['inquiry']);
	}

	//備考の改行マークの置換（DB使用の場合は不必要）
	if ($_POST['memo']){
		$memo = preg_replace("/(\r\n|\n|\r)/", "<br />", $_POST['memo']);
	}

	//登録日時の設定
	if (!$_POST['date_regist']){
		$date_regist = date('Y/m/d');
	} else {
		$date_regist = $_POST['date_regist'];
	}
	if (!$_POST['time_regist']){
		$time_regist = date('H:i:s');
	} else {
		$time_regist = $_POST['time_regist'];
	}

	$dataline = $id . "<>" . $date_regist . "<>" . $time_regist . "<>" . $_POST['inquiry_class'] . "<>" . $_POST['l_name'] . "<>" . $_POST['f_name'] . "<>" . $l_name_yomi . "<>" . $f_name_yomi . "<>" . $_POST['sex'] . "<>" . $birth_day . "<>" . $_POST['zip'] . "<>" . $_POST['pref'] . "<>" . $_POST['address1'] . "<>" . $_POST['address2'] . "<>" . $_POST['tel'] . "<>" . $_POST['email'] . "<>" . $inquiry . "<>" . $_POST['dm'] . "<>" . $memo . "\n";

	return $dataline;
}
