<?php
/**********************************************************/
/*                                                        */
/*                   顧客管理プログラム                   */
/*                   データのインポート                   */
/*                 インポートデータの確認                 */
/*                     Ver1.0 (2016/4)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/

?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="content-style-type" content="text/css" />
<title><?= $pageTitle ?></title>
<link rel="stylesheet" href="./style/listit.css" type="text/css" />

<!-- Jquery include -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>

<!-- プルダウンメニュー -->
<script src="./js/pulldown_menu.js"></script>

</head>
<body id="import">
<div id="wrap">

<div id="header">

	<div id="header_control">
		<div class="fl"><a href="./">←トップに戻る</a></div>
		<?php require_once ("TopMenu.tpl"); ?>
	</div>
	<div class="cb"></div>

</div><!-- #header -->

<div id="contents">

<div id="header_lower"></div>

<div id="page_title"><?= $pageTitle ?></div>

<?php if($err_id) { ?>
<!-- エラーメッセージ -->
	<?php if($err_id == "nofile") { ?>

		<div class="err_msg">ファイルが選択されてません！</div>

	<?php } elseif($err_id == "nocsv") { ?>

		<div class="err_msg">CSVファイルではありません！</div>

	<?php } elseif($err_id == "fail") { ?>

		<div class="err_msg">アップロードに失敗しました！</div>
		<ul class="import_notes">
			<li><span class="red">※</span>ご利用のサーバによっては、アップロードが禁止されていたり、アップロードできるファイルサイズに<br />　制限がある場合があります。</li>
			<li><span class="red">※</span>インポートがうまく行かない場合や項目を増やしたい場合などはカスタマイズを承ります。（有償）</li>
		</ul>

	<?php } elseif($err_id == "notmpfile") { ?>

		<div class="err_msg">一時ファイルの読み込み失敗しました！</div>

	<?php } ?>

	<div class="to_import"><a href="./?c=utility&f=import">← 戻 る</div>

<?php } else { ?>

<div class="description">
項目とデータの対応をご確認の上、「インポート」をクリックしてください。<br /><span class="red">※</span>最初の１件を表示しています。
</div>

<table class="confirm_table">
<tr><th>登録日</th><td><?= $sample_data['date_regist'] ?></td></tr>
<tr><th>姓（漢字）</th><td><?= $sample_data['l_name'] ?></td></tr>
<tr><th>名（漢字）</th><td><?= $sample_data['f_name'] ?></td></tr>
<tr><th>姓（ヨミ）</th><td><?= $sample_data['l_name_yomi'] ?></td></tr>
<tr><th>名（ヨミ）</th><td><?= $sample_data['f_name_yomi'] ?></td></tr>
<tr><th>性別</th><td><?= $sample_data['sex'] ?></td></tr>
<tr><th>生年月日</th><td><?= $sample_data['birth_day'] ?></td></tr>
<tr><th>郵便番号</th><td><?= $sample_data['zip'] ?></td></tr>
<tr><th>都道府県</th><td><?= $sample_data['pref'] ?></td></tr>
<tr><th>住所１</th><td><?= $sample_data['address1'] ?></td></tr>
<tr><th>住所２</th><td><?= $sample_data['address2'] ?></td></tr>
<tr><th>電話番号</th><td><?= $sample_data['tel'] ?></td></tr>
<tr><th>メールアドレス</th><td><?= $sample_data['email'] ?></td></tr>
<tr><th>お問合せ内容</th><td><?= $sample_data['inquiry'] ?></td></tr>
<tr><th>DM</th><td><?= $sample_data['dm'] ?></td></tr>
<tr><th>備考</th><td><?= $sample_data['memo'] ?></td></tr>
</table>

<div class="confirm_form">
<form action="./?c=utility&f=import&m=exec" method="post">
  <button type="submit" name="f_exec" value="n" class="confirm_btn" style="margin-right:20px;"><< 戻 る</button>
  <button type="submit" name="f_exec" value="y" class="confirm_btn">インポート</button>
	<input type="hidden" name="tmp_file_name" value="<?= $tmp_file_name ?>" />
</form>
</div>

<?php } ?>

</div><!-- #contents -->

<div id="footer">
<!-- 著作権表示　削除厳禁 -->
<?php require_once ("CopyRight.tpl"); ?>
</div><!-- #footer -->

</div><!-- #wrap -->
</body>
</html>
