<?php
/**********************************************************/
/*                                                        */
/*                   顧客管理プログラム                   */
/*                   データのインポート                   */
/*                     Ver1.0 (2016/4)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/

?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="content-style-type" content="text/css" />
<title><?= $pageTitle ?></title>
<link rel="stylesheet" href="./style/listit.css" type="text/css" />

<!-- Jquery include -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>

<!-- プルダウンメニュー -->
<script src="./js/pulldown_menu.js"></script>

</head>
<body id="import">
<div id="wrap">

<div id="header">

	<div id="header_control">
		<div class="fl"><a href="./">←トップに戻る</a></div>
		<?php require_once ("TopMenu.tpl"); ?>
	</div>
	<div class="cb"></div>

</div><!-- #header -->

<div id="contents">

<div id="header_lower"></div>

<div id="page_title"><?= $pageTitle ?></div>

<div class="description">
CSV形式で保存されたデータを取り込みます。
</div>

<ul class="import_notes">
<li><span class="red">※</span>ご利用のサーバによっては、アップロードが禁止されていたり、アップロードできるファイルサイズに<br />　制限がある場合があります。</li>
<li><span class="red">※</span>インポートがうまく行かない場合や項目を増やしたい場合などはカスタマイズを承ります。（有償）</li>
</ul>

<div class="procedure_box">

<h1>＜手順＞</h1>

<h2>１．データをエクセルで読み込んでください。</h2>

<h2>２．列の並びとデータの形式を以下のように整えてください。<br /><p>※項目を使用しない場合は、表の該当位置に空白の列を入れてください。</p></h2>

<table>
<tr><th>列</th><th>項　目</th><th>形　式</th></tr>
<tr><td>Ａ</td><td>登録日</td><td>「2016/5/2」または「2016/05/02」　※半角</td></tr>
<tr><td>Ｂ</td><td>姓（漢字）</td><td></td></tr>
<tr><td>Ｃ</td><td>名（漢字）</td><td></td></tr>
<tr><td>Ｄ</td><td>姓（ヨミ）</td><td>※全角カタカナ、全角ひらがな、半角カタカナ</td></tr>
<tr><td>Ｅ</td><td>名（ヨミ）</td><td>※全角カタカナ、全角ひらがな、半角カタカナ</td></tr>
<tr><td>Ｆ</td><td>性別</td><td>「男性」か「女性」、または「男」か「女」、または「m」か「f」</td></tr>
<tr><td>Ｇ</td><td>生年月日</td><td>「2016/5/2」または「2016/05/02」　※半角</td></tr>
<tr><td>Ｈ</td><td>郵便番号</td><td>「1111111」または「111-1111」　※半角</td></tr>
<tr><td>Ｉ</td><td>都道府県</td><td>都道府県名（漢字）または都道府県コード（半角数字）</td></tr>
<tr><td>Ｊ</td><td>住所１</td><td></td></tr>
<tr><td>Ｋ</td><td>住所２</td><td></td></tr>
<tr><td>Ｌ</td><td>電話番号</td><td>「0123456789」または「012-345-6789」　※半角<br />※ハイフンを挿入しない場合、エクセルが数字と判断して<br />　先頭の「0」が削除される場合があります。</td></tr>
<tr><td>Ｍ</td><td>メールアドレス</td><td>※半角</td></tr>
<tr><td>Ｎ</td><td>お問合せ内容</td><td>※エクセルの読み込み時に改行コードが削除され、文章内の改行が<br />　なくなる場合があります。</td></tr>
<tr><td>Ｏ</td><td>DM</td><td>「受け取る」か「受け取らない」、または「1」か「0」、<br />または「yes」か「no」、または「y」か「n」</td></tr>
<tr><td>Ｐ</td><td>備考</td><td>※エクセルの読み込み時に改行コードが削除され、文章内の改行が<br />　なくなる場合があります。</td></tr>
</table>

<h2>３．表をCSV形式で保存してください。</h2>

<h2>４．以下のフォームから、保存したファイルをアップロードしてください。</h2>

</div><!-- .procedure_box -->

<div class="upload_form">
<form action="./?c=utility&f=import&m=confirm" method="post" enctype="multipart/form-data">
  <input type="file" name="upfile" size="30" />　
  <input type="submit" value="アップロード" class="upload_btn" />
</form>
</div>

</div><!-- #contents -->

<div id="footer">
<!-- 著作権表示　削除厳禁 -->
<?php require_once ("CopyRight.tpl"); ?>
</div><!-- #footer -->

</div><!-- #wrap -->
</body>
</html>
