<?php
/**********************************************************/
/*                                                        */
/*                         ListIt                         */
/*                       詳細ページ                       */
/*                     Ver1.0 (2016/4)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/

$astarisk = '<span class="red">*</span>';
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="content-style-type" content="text/css" />
<title><?= $pageTitle ?></title>
<link rel="stylesheet" href="./style/listit.css" type="text/css" />

<!-- Jquery include -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>

<!-- プルダウンメニュー -->
<script src="./js/pulldown_menu.js"></script>

<?php if ($corner['address']){ ?>
<!-- 郵便番号変換スクリプト -->
<script src="https://yubinbango.github.io/yubinbango/yubinbango.js" charset="UTF-8"></script>
<?php } ?>

<?php if ($corner['birth_day']['valid']){ ?>
<!-- 生年月日の読み込み時処理 -->
<script type="text/javascript">
$(document).ready(function(){
  //フォーム（生年）の生成
	var time = new Date();
	var year = time.getFullYear();
	var startYear = year;
	var endYear = year - 120;
	for (var i = startYear; i >= endYear; i--) {
		<?php if($birth_year){ ?>
    if (i == <?= $birth_year ?>){
	  	$('select[name=birth_year]').append('<option value="' + i + '" selected>' + i + '</option>');
		} else {
	  	$('select[name=birth_year]').append('<option value="' + i + '">' + i + '</option>');
		}
		<?php } else { ?>
  	$('select[name=birth_year]').append('<option value="' + i + '">' + i + '</option>');
		<?php } ?>
	}

	<?php if($customer_data['birth_day']){ ?>
  //年齢計算
	calculateAge("<?= $birth_year ?>", "<?= $birth_month ?>", "<?= $birth_date ?>");
	<?php } ?>
});

//生年月日が変更された場合
$(function() {
	$('select[name=birth_year],select[name=birth_month],select[name=birth_date]').change(function() {
		var year = $('select[name=birth_year]').val();
		var month = $('select[name=birth_month]').val();
		var date = $('select[name=birth_date]').val();
		calculateAge(year,month,date);
	});
});

//年齢計算関数
function calculateAge(year,month,date) {
	if(!year || !month || !date){
		document.getElementById("age").innerHTML = "";
		return;
	}
  var today = new Date();
  today=today.getFullYear() * 10000 + today.getMonth() * 100 + 100 + today.getDate();
  birthday = parseInt(year + month + date);
  var age = Math.floor((today - birthday) / 10000);
	document.getElementById("age").innerHTML = age + "才";
	return;
}
</script>
<?php } ?>

<!-- 入力チェック -->
<script type="text/javascript">
$(function(){
	$('#inquiryForm').submit(function() {
		$('input,select,textarea').removeClass('form_error');
		$('.td_dm').removeClass('form_error');
		var msg = "";
<?php if ($corner['inquiry_class']['valid'] and $corner['inquiry_class']['require']){ ?>
		if (!$('select[name=inquiry_class]').val()){
			msg += "お問合せ種類を選択してください\n";
			$('select[name=inquiry_class]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['name']['valid'] and $corner['name']['require']){ ?>
		if (!$('input[name=l_name]').val()){
			msg += "姓を入力してください\n";
			$('input[name=l_name]').addClass('form_error');
		}
		if (!$('input[name=f_name]').val()){
			msg += "名を入力してください\n";
			$('input[name=f_name]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['name_yomi']['valid'] and $corner['name_yomi']['require']){ ?>
		if (!$('input[name=l_name_yomi]').val()){
			msg += "姓（ヨミ）を入力してください\n";
			$('input[name=l_name_yomi]').addClass('form_error');
		}
		if (!$('input[name=f_name_yomi]').val()){
			msg += "名（ヨミ）を入力してください\n";
			$('input[name=f_name_yomi]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['sex']['valid'] and $corner['sex']['require']){ ?>
		if (!$('select[name=sex]').val()){
			msg += "性別を選択してください\n";
			$('select[name=sex]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['birth_day']['valid'] and $corner['birth_day']['require']){ ?>
		if (!$('select[name=birth_year]').val() || !$('select[name=birth_month]').val() || !$('select[name=birth_date]').val()){
			msg += "生年月日を選択してください\n";
			if (!$('select[name=birth_year]').val()){
				$('select[name=birth_year]').addClass('form_error');
			}
			if (!$('select[name=birth_month]').val()){
				$('select[name=birth_month]').addClass('form_error');
			}
			if (!$('select[name=birth_date]').val()){
				$('select[name=birth_date]').addClass('form_error');
			}
		}
<?php } ?>
<?php if ($corner['address']['valid'] and $corner['address']['require']){ ?>
		if (!$('input[name=zip]').val()){
			msg += "郵便番号を入力してください\n";
			$('input[name=zip]').addClass('form_error');
		} else if(!$('input[name=zip]').val().match(/^[0-9\-]+$/)){
			msg += "郵便番号は半角数字で入力してください\n";
			$('input[name=zip]').addClass('form_error');
		}
		if (!$('select[name=pref]').val()){
			msg += "都道府県を選択してください\n";
			$('select[name=pref]').addClass('form_error');
		}
		if (!$('input[name=address1]').val()){
			msg += "所在地１を入力してください\n";
			$('input[name=address1]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['tel']['valid'] and $corner['tel']['require']){ ?>
		if (!$('input[name=tel]').val()){
			msg += "電話番号を入力してください\n";
			$('input[name=tel]').addClass('form_error');
		} else if(!$('input[name=tel]').val().match(/^[0-9\-]+$/)){
			msg += "電話番号は半角数字で入力してください\n";
			$('input[name=tel]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['email']['valid'] and $corner['email']['require']){ ?>
		if (!$('input[name=email]').val()){
			msg += "Eメールを入力してください\n";
			$('input[name=email]').addClass('form_error');
		} else if(!$('input[name=email]').val().match(/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/)){
			msg += "Eメールを正しく入力してください\n";
			$('input[name=email]').addClass('form_error');
		}
<?php } ?>
<?php if ($corner['inquiry']['valid'] and $corner['inquiry']['require']){ ?>
		if (!$('textarea[name=inquiry]').val()){
			msg += "内容を入力してください\n";
			$('textarea[name=inquiry]').addClass('form_error');
		}
<?php } ?>
		if (msg){
			alert(msg);
			return false;
		}
	});

	<?php if($_GET['m'] == "modify"){ ?>
	//削除確認
	$('#delete_form').submit(function(){
		if(!confirm("本当に「<?= $customer_data['l_name'] ?> <?= $customer_data['f_name'] ?>」様を削除しますか？")){
			return false;
		}
	});
	<?php } ?>
});
</script>

</head>
<body id="list">
<div id="wrap">

<div id="header">

	<div id="header_control">
		<div class="fl"><a href="./<?php if($q_chr){echo "?q=" . $q_chr;} ?>">←一覧に戻る</a></div>
		<?php require_once ("TopMenu.tpl"); ?>
		<?php
		if($_GET['ms']){
			require_once ("ModifyMessage.tpl");
		}
		?>
	</div>
	<div class="cb"></div>

</div><!-- #header -->

<div id="contents">

<div id="header_lower">
	<div class="fl">
		<?php if($_GET['m'] == "modify" and $customer_data['date_regist']){ ?>
			<div class="date_regist"><?= $customer_data['date_regist'] ?>に登録</div>
		<?php } ?>
	</div>
	<div class="fr">
		<?php if($_GET['m'] == "modify"){ ?>
		<form id="delete_form" method="POST" action="./?f=write<?php if($q_chr){echo "&q=" . $q_chr;} ?>">
			<input type="submit" value="この<?= TitlePrefix ?>を削除する" id="delete_btn" />
			<input type="hidden" name="m" value="delete" />
			<input type="hidden" name="customer_id" value="<?= $customer_data['customer_id'] ?>" />
		</form>
		<?php } ?>
	</div>
	<div class="cb"></div>
</div>

<div id="page_title"><?= $pageTitle ?></div>

<form id="inquiryForm" class="h-adr" method="POST" action="./?f=write<?php if($q_chr){echo "&q=" . $q_chr;} ?>">
<input type="hidden" class="p-country-name" value="Japan"><!-- 郵便番号設定 -->
<table>

<?php if ($corner['inquiry_class']['valid']){ ?>
	<tr>
		<th>お問合せ種類<?php if($corner['inquiry_class']['require']){echo $astarisk;} ?></th>
		<td><select name="inquiry_class" >
			<option value="">▼</option>
			<option value="ご質問" <?php if($customer_data['inquiry_class'] == "ご質問"){echo 'selected';} ?>>ご質問</option>
			<option value="資料請求" <?php if($customer_data['inquiry_class'] == "資料請求"){echo 'selected';} ?>>資料請求</option>
			<option value="ご意見・ご感想" <?php if($customer_data['inquiry_class'] == "ご意見・ご感想"){echo 'selected';} ?>>ご意見・ご感想</option>
			<option value="その他" <?php if($customer_data['inquiry_class'] == "その他"){echo 'selected';} ?>>その他</option>
		</select></td>
	</tr>
<?php } ?>

<?php if ($corner['name']['valid']){ ?>
	<tr>
		<th>お名前<?php if($corner['name']['require']){echo $astarisk;} ?></th>
		<td>姓 <input type="text" name="l_name" style="width:100px;" value="<?= $customer_data['l_name'] ?>" />&nbsp;&nbsp;名 <input type="text" name="f_name" style="width:100px;" value="<?= $customer_data['f_name'] ?>" /></td>
	</tr>
<?php } ?>

<?php if ($corner['name_yomi']['valid']){ ?>
	<tr>
		<th>ヨミ<?php if($corner['name_yomi']['require']){echo $astarisk;} ?></th>
		<td>セイ <input type="text" name="l_name_yomi" style="width:150px;" value="<?= $customer_data['l_name_yomi'] ?>" />&nbsp;&nbsp;メイ <input type="text" name="f_name_yomi" style="width:150px;" value="<?= $customer_data['f_name_yomi'] ?>" /></td>
	</tr>
<?php } ?>

<?php if ($corner['sex']['valid']){ ?>
	<tr>
		<th>性別<?php if($corner['sex']['require']){echo $astarisk;} ?></th>
		<td><select name="sex" >
			<option value="">▼</option>
			<option value="男性" <?php if($customer_data['sex'] == "男性"){echo 'selected';} ?>>男性</option>
			<option value="女性" <?php if($customer_data['sex'] == "女性"){echo 'selected';} ?>>女性</option>
		</select></td>
	</tr>
<?php } ?>

<?php if ($corner['birth_day']['valid']){ ?>
	<tr>
		<th>生年月日<?php if($corner['birth_day']['require']){echo $astarisk;} ?></th>
		<td><select name="birth_year">
				<option value="">▼</option>
			</select> 年&nbsp;&nbsp;
			<select name="birth_month">
				<option value="">▼</option>
				<option value="01" <?php if($birth_month == "01"){echo 'selected';} ?>>1</option>
				<option value="02" <?php if($birth_month == "02"){echo 'selected';} ?>>2</option>
				<option value="03" <?php if($birth_month == "03"){echo 'selected';} ?>>3</option>
				<option value="04" <?php if($birth_month == "04"){echo 'selected';} ?>>4</option>
				<option value="05" <?php if($birth_month == "05"){echo 'selected';} ?>>5</option>
				<option value="06" <?php if($birth_month == "06"){echo 'selected';} ?>>6</option>
				<option value="07" <?php if($birth_month == "07"){echo 'selected';} ?>>7</option>
				<option value="08" <?php if($birth_month == "08"){echo 'selected';} ?>>8</option>
				<option value="09" <?php if($birth_month == "09"){echo 'selected';} ?>>9</option>
				<option value="10" <?php if($birth_month == "10"){echo 'selected';} ?>>10</option>
				<option value="11" <?php if($birth_month == "11"){echo 'selected';} ?>>11</option>
				<option value="12" <?php if($birth_month == "12"){echo 'selected';} ?>>12</option>
			</select> 月&nbsp;&nbsp;
			<select name="birth_date">
				<option value="">▼</option>
				<option value="01" <?php if($birth_date == "01"){echo 'selected';} ?>>1</option>
				<option value="02" <?php if($birth_date == "02"){echo 'selected';} ?>>2</option>
				<option value="03" <?php if($birth_date == "03"){echo 'selected';} ?>>3</option>
				<option value="04" <?php if($birth_date == "04"){echo 'selected';} ?>>4</option>
				<option value="05" <?php if($birth_date == "05"){echo 'selected';} ?>>5</option>
				<option value="06" <?php if($birth_date == "06"){echo 'selected';} ?>>6</option>
				<option value="07" <?php if($birth_date == "07"){echo 'selected';} ?>>7</option>
				<option value="08" <?php if($birth_date == "08"){echo 'selected';} ?>>8</option>
				<option value="09" <?php if($birth_date == "09"){echo 'selected';} ?>>9</option>
				<option value="10" <?php if($birth_date == "10"){echo 'selected';} ?>>10</option>
				<option value="11" <?php if($birth_date == "11"){echo 'selected';} ?>>11</option>
				<option value="12" <?php if($birth_date == "12"){echo 'selected';} ?>>12</option>
				<option value="13" <?php if($birth_date == "13"){echo 'selected';} ?>>13</option>
				<option value="14" <?php if($birth_date == "14"){echo 'selected';} ?>>14</option>
				<option value="15" <?php if($birth_date == "15"){echo 'selected';} ?>>15</option>
				<option value="16" <?php if($birth_date == "16"){echo 'selected';} ?>>16</option>
				<option value="17" <?php if($birth_date == "17"){echo 'selected';} ?>>17</option>
				<option value="18" <?php if($birth_date == "18"){echo 'selected';} ?>>18</option>
				<option value="19" <?php if($birth_date == "19"){echo 'selected';} ?>>19</option>
				<option value="20" <?php if($birth_date == "20"){echo 'selected';} ?>>20</option>
				<option value="21" <?php if($birth_date == "21"){echo 'selected';} ?>>21</option>
				<option value="22" <?php if($birth_date == "22"){echo 'selected';} ?>>22</option>
				<option value="23" <?php if($birth_date == "23"){echo 'selected';} ?>>23</option>
				<option value="24" <?php if($birth_date == "24"){echo 'selected';} ?>>24</option>
				<option value="25" <?php if($birth_date == "25"){echo 'selected';} ?>>25</option>
				<option value="26" <?php if($birth_date == "26"){echo 'selected';} ?>>26</option>
				<option value="27" <?php if($birth_date == "27"){echo 'selected';} ?>>27</option>
				<option value="28" <?php if($birth_date == "28"){echo 'selected';} ?>>28</option>
				<option value="29" <?php if($birth_date == "29"){echo 'selected';} ?>>29</option>
				<option value="30" <?php if($birth_date == "30"){echo 'selected';} ?>>30</option>
				<option value="31" <?php if($birth_date == "31"){echo 'selected';} ?>>31</option>
			</select> 日&nbsp;&nbsp;&nbsp;&nbsp;<span id="age"></span></td>
	</tr>​
<?php } ?>

<?php if ($corner['address']['valid']){ ?>
	<tr>
		<th rowspan="3">ご住所<?php if($corner['address']['require']){echo $astarisk;} ?></th>
		<td>〒<input type="text" name="zip" class="p-postal-code" style="width:70px;" value="<?= $customer_data['zip'] ?>" />&nbsp;&nbsp;※半角数字&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;都道府県 <select name="pref" class="p-region">
			<option value="">▼</option>
			<option value="北海道" <?php if($customer_data['pref'] == "北海道"){echo 'selected';} ?>>北海道</option>
			<option value="青森県" <?php if($customer_data['pref'] == "青森県"){echo 'selected';} ?>>青森県</option>
			<option value="岩手県" <?php if($customer_data['pref'] == "岩手県"){echo 'selected';} ?>>岩手県</option>
			<option value="宮城県" <?php if($customer_data['pref'] == "宮城県"){echo 'selected';} ?>>宮城県</option>
			<option value="秋田県" <?php if($customer_data['pref'] == "秋田県"){echo 'selected';} ?>>秋田県</option>
			<option value="山形県" <?php if($customer_data['pref'] == "山形県"){echo 'selected';} ?>>山形県</option>
			<option value="福島県" <?php if($customer_data['pref'] == "福島県"){echo 'selected';} ?>>福島県</option>
			<option value="茨城県" <?php if($customer_data['pref'] == "茨城県"){echo 'selected';} ?>>茨城県</option>
			<option value="栃木県" <?php if($customer_data['pref'] == "栃木県"){echo 'selected';} ?>>栃木県</option>
			<option value="群馬県" <?php if($customer_data['pref'] == "群馬県"){echo 'selected';} ?>>群馬県</option>
			<option value="埼玉県" <?php if($customer_data['pref'] == "埼玉県"){echo 'selected';} ?>>埼玉県</option>
			<option value="千葉県" <?php if($customer_data['pref'] == "千葉県"){echo 'selected';} ?>>千葉県</option>
			<option value="東京都" <?php if($customer_data['pref'] == "東京都"){echo 'selected';} ?>>東京都</option>
			<option value="神奈川県" <?php if($customer_data['pref'] == "神奈川県"){echo 'selected';} ?>>神奈川県</option>
			<option value="新潟県" <?php if($customer_data['pref'] == "新潟県"){echo 'selected';} ?>>新潟県</option>
			<option value="富山県" <?php if($customer_data['pref'] == "富山県"){echo 'selected';} ?>>富山県</option>
			<option value="石川県" <?php if($customer_data['pref'] == "石川県"){echo 'selected';} ?>>石川県</option>
			<option value="福井県" <?php if($customer_data['pref'] == "福井県"){echo 'selected';} ?>>福井県</option>
			<option value="山梨県" <?php if($customer_data['pref'] == "山梨県"){echo 'selected';} ?>>山梨県</option>
			<option value="長野県" <?php if($customer_data['pref'] == "長野県"){echo 'selected';} ?>>長野県</option>
			<option value="岐阜県" <?php if($customer_data['pref'] == "岐阜県"){echo 'selected';} ?>>岐阜県</option>
			<option value="静岡県" <?php if($customer_data['pref'] == "静岡県"){echo 'selected';} ?>>静岡県</option>
			<option value="愛知県" <?php if($customer_data['pref'] == "愛知県"){echo 'selected';} ?>>愛知県</option>
			<option value="三重県" <?php if($customer_data['pref'] == "三重県"){echo 'selected';} ?>>三重県</option>
			<option value="滋賀県" <?php if($customer_data['pref'] == "滋賀県"){echo 'selected';} ?>>滋賀県</option>
			<option value="京都府" <?php if($customer_data['pref'] == "京都府"){echo 'selected';} ?>>京都府</option>
			<option value="大阪府" <?php if($customer_data['pref'] == "大阪府"){echo 'selected';} ?>>大阪府</option>
			<option value="兵庫県" <?php if($customer_data['pref'] == "兵庫県"){echo 'selected';} ?>>兵庫県</option>
			<option value="奈良県" <?php if($customer_data['pref'] == "奈良県"){echo 'selected';} ?>>奈良県</option>
			<option value="和歌山県" <?php if($customer_data['pref'] == "和歌山県"){echo 'selected';} ?>>和歌山県</option>
			<option value="鳥取県" <?php if($customer_data['pref'] == "鳥取県"){echo 'selected';} ?>>鳥取県</option>
			<option value="島根県" <?php if($customer_data['pref'] == "島根県"){echo 'selected';} ?>>島根県</option>
			<option value="岡山県" <?php if($customer_data['pref'] == "岡山県"){echo 'selected';} ?>>岡山県</option>
			<option value="広島県" <?php if($customer_data['pref'] == "広島県"){echo 'selected';} ?>>広島県</option>
			<option value="山口県" <?php if($customer_data['pref'] == "山口県"){echo 'selected';} ?>>山口県</option>
			<option value="徳島県" <?php if($customer_data['pref'] == "徳島県"){echo 'selected';} ?>>徳島県</option>
			<option value="香川県" <?php if($customer_data['pref'] == "香川県"){echo 'selected';} ?>>香川県</option>
			<option value="愛媛県" <?php if($customer_data['pref'] == "愛媛県"){echo 'selected';} ?>>愛媛県</option>
			<option value="高知県" <?php if($customer_data['pref'] == "高知県"){echo 'selected';} ?>>高知県</option>
			<option value="福岡県" <?php if($customer_data['pref'] == "福岡県"){echo 'selected';} ?>>福岡県</option>
			<option value="佐賀県" <?php if($customer_data['pref'] == "佐賀県"){echo 'selected';} ?>>佐賀県</option>
			<option value="長崎県" <?php if($customer_data['pref'] == "長崎県"){echo 'selected';} ?>>長崎県</option>
			<option value="熊本県" <?php if($customer_data['pref'] == "熊本県"){echo 'selected';} ?>>熊本県</option>
			<option value="大分県" <?php if($customer_data['pref'] == "大分県"){echo 'selected';} ?>>大分県</option>
			<option value="宮崎県" <?php if($customer_data['pref'] == "宮崎県"){echo 'selected';} ?>>宮崎県</option>
			<option value="鹿児島県" <?php if($customer_data['pref'] == "鹿児島県"){echo 'selected';} ?>>鹿児島県</option>
			<option value="沖縄県" <?php if($customer_data['pref'] == "沖縄県"){echo 'selected';} ?>>沖縄県</option>
		</select></td>
	</tr>
	<tr>
		<td>所在地１ <input type="text" name="address1" class="p-locality p-street-address p-extended-address" style="width:300px;" value="<?= $customer_data['address1'] ?>" />&nbsp;&nbsp;※都道府県以下の住所</td>
	</tr>
	<tr>
		<td>所在地２ <input type="text" name="address2" style="width:300px;" value="<?= $customer_data['address2'] ?>" />&nbsp;&nbsp;※マンション名、部屋番号等</td>
	</tr>
<?php } ?>

<?php if ($corner['tel']['valid']){ ?>
	<tr>
		<th>電話番号<?php if($corner['tel']['require']){echo $astarisk;} ?></th>
		<td><input type="text" name="tel" style="width:120px;" value="<?= $customer_data['tel'] ?>" />&nbsp;&nbsp;※半角数字&nbsp;例）03-1234-5678</td>
	</tr>
<?php } ?>

<?php if ($corner['email']['valid']){ ?>
	<tr>
		<th>Eメール<?php if($corner['email']['require']){echo $astarisk;} ?></th>
		<td><input type="text" name="email" style="width:250px;" value="<?= $customer_data['email'] ?>" />&nbsp;&nbsp;※半角</td>
	</tr>
<?php } ?>

<?php if ($corner['inquiry']['valid']){ ?>
	<tr>
		<th>内　容<?php if($corner['inquiry']['require']){echo $astarisk;} ?></th>
		<td><textarea name="inquiry" rows="6" style="width:550px;"><?= $inquiry ?></textarea></td>
	</tr>
<?php } ?>

<?php if ($corner['dm']['valid']){ ?>
	<tr>
		<th>お知らせメール<?php if($corner['dm']['require']){echo $astarisk;} ?></th>
		<td class="td_dm"><label><input type="radio" name="dm" value="受け取る" <?php if($customer_data['dm'] == "受け取る"){echo 'checked';} ?> />今後、お知らせメールを受け取る</label>&nbsp;&nbsp;<label><input type="radio" name="dm" value="受け取らない" <?php if($customer_data['dm'] == "受け取らない" or !$customer_data['dm']){echo 'checked';} ?> />受け取らない</label></td>
	</tr>
<?php } ?>

	<tr>
		<th class="memo">備　考</th>
		<td><textarea name="memo" rows="10" style="width:550px;"><?= $memo ?></textarea></td>
	</tr>

</table>
<div class="submit_btn">
	<?php if($_GET['m'] == "new"){ ?>
	<input type="submit" value="登　録" />
	<input type="hidden" name="m" value="new" />
	<?php } elseif($_GET['m'] == "modify"){ ?>
	<input type="submit" value="修　正" />
	<input type="hidden" name="m" value="modify" />
	<input type="hidden" name="customer_id" value="<?= $customer_data['customer_id'] ?>" />
	<input type="hidden" name="date_regist" value="<?= $customer_data['date_regist'] ?>" />
	<input type="hidden" name="time_regist" value="<?= $customer_data['time_regist'] ?>" />
	<?php } ?>
</div>
</form>

</div><!-- #contents -->

<div id="footer">
<!-- 著作権表示　削除厳禁 -->
<?php require_once ("CopyRight.tpl"); ?>
</div><!-- #footer -->

</div><!-- #wrap -->

</body>
</html>
