<?php
/**********************************************************/
/*                                                        */
/*                         ListIt                         */
/*                       一覧ページ                       */
/*                     Ver1.0 (2016/3)                    */
/*                                                        */
/*     本プログラムの知的財産権は株式会社ザ・ハウスが     */
/*     所有しています。                                   */
/*                                                        */
/*       詳しくは同梱のListIt利用規約をご覧ください。     */
/*                                                        */
/**********************************************************/

//ページスイッチの生成
if($total_page > 1){
	if($total_page > $max_pageswitch){
		$num_page = $max_pageswitch;
	} else {
		$num_page = $total_page;
	}
	$start_page = $curPage - floor($max_pageswitch / 2);
	if ($start_page < 1){$start_page = 1;}
	$end_page = $start_page + $num_page - 1;
	if($end_page > $total_page){
		$end_page = $total_page;
		$start_page = $end_page - $num_page + 1;
	}
	$ps_html = '<div class="page_switch"><ul>';
	if($curPage > 1) {
		$ps_html .= '<li class="prev"><a href="./?curpage=' . ($curPage - 1) . $q_chr . '">前のページへ</a></li>';
	}
	for($i = $start_page; $i <= $end_page; $i++){
		if($i == $curPage){
			$ps_html .= '<li class="selected">' . $i . '</li>';
		} else {
			$ps_html .= '<li><a href="./?curpage=' . $i . $q_chr . '">' . $i . '</a></li>';
		}
	}
	if($curPage < $total_page) {
		$ps_html .= '<li class="prev"><a href="./?curpage=' . ($curPage + 1) . $q_chr . '">次のページへ</a></li>';
	}
	$ps_html .= '</ul></div><div class="cb"></div>';
}
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="content-style-type" content="text/css" />
<title><?= $pageTitle ?></title>
<link rel="stylesheet" href="./style/listit.css" type="text/css" />

<!-- Jquery include -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>

<!-- プルダウンメニュー -->
<script src="./js/pulldown_menu.js"></script>

</head>
<body id="list">
<div id="wrap">

<div id="header">

	<div id="header_control">
		<?php require_once ("TopMenu.tpl"); ?>
		<ul id="header_icons">
			<li><a href="./?f=edit&m=new"><img src="./images/new_icon.png" class="new_icon" /></a><span>新規登録</span></li>
		</ul>
		<?php
		if($_GET['ms']){
			require_once ("ModifyMessage.tpl");
		}
		?>
	</div>
	<div class="cb"></div>

</div><!-- #header -->

<div id="contents">

<div id="header_lower">
	<div class="fl">
	<?php if($num_customer != 0){ ?>
		<div class="summary">
			<span><?= $num_customer ?></span> 名（<?= $curPage ?>/<?= $total_page ?>ページを表示中）
		</div>
	<?php } ?>
	</div>
	<div class="search_box fr">
		<form method="GET" action="./">
			<input type="text" name="q" class="search_form" placeholder="すべての項目で検索できます" value="<?= $query ?>" />
			<input type="hidden" name="pagereset" value="y" />
			<input type="hidden" name="kanareset" value="y" />
			<input type="image" src="images/searchbtn.png" alt="検索" class="search_btn" />
		</form>
	</div>
	<div class="cb"></div>
</div>

<div id="page_title"><?= $pageTitle ?></div>

<?php if($query){ ?>
<div class="search_result">
	<span class="fs20">「<b><?= $query ?></span><span class="fs20"></b>」</span>で検索結果　-　<a href="./">検索解除</a>
</div>
<?php } else { ?>
<ul class="kana_tab">
	<li<?php if($kanaOrder == "all" or !$kanaOrder){echo ' class="selected">全て';} else {echo '><a href="./?k=all&pagereset=y">全て</a>';} ?></li>
	<li<?php if($kanaOrder == "a"){echo ' class="selected">ア';} else {echo '><a href="./?k=a&pagereset=y">ア</a>';} ?></li>
	<li<?php if($kanaOrder == "k"){echo ' class="selected">カ';} else {echo '><a href="./?k=k&pagereset=y">カ</a>';} ?></li>
	<li<?php if($kanaOrder == "s"){echo ' class="selected">サ';} else {echo '><a href="./?k=s&pagereset=y">サ</a>';} ?></li>
	<li<?php if($kanaOrder == "t"){echo ' class="selected">タ';} else {echo '><a href="./?k=t&pagereset=y">タ</a>';} ?></li>
	<li<?php if($kanaOrder == "n"){echo ' class="selected">ナ';} else {echo '><a href="./?k=n&pagereset=y">ナ</a>';} ?></li>
	<li<?php if($kanaOrder == "h"){echo ' class="selected">ハ';} else {echo '><a href="./?k=h&pagereset=y">ハ</a>';} ?></li>
	<li<?php if($kanaOrder == "m"){echo ' class="selected">マ';} else {echo '><a href="./?k=m&pagereset=y">マ</a>';} ?></li>
	<li<?php if($kanaOrder == "y"){echo ' class="selected">ヤ';} else {echo '><a href="./?k=y&pagereset=y">ヤ</a>';} ?></li>
	<li<?php if($kanaOrder == "r"){echo ' class="selected">ラ';} else {echo '><a href="./?k=r&pagereset=y">ラ</a>';} ?></li>
	<li<?php if($kanaOrder == "w"){echo ' class="selected">ワ';} else {echo '><a href="./?k=w&pagereset=y">ワ</a>';} ?></li>
	<li<?php if($kanaOrder == "other"){echo ' class="selected">他';} else {echo '><a href="./?k=other&pagereset=y">他</a>';} ?></li>
</ul>
<div class="cb"></div>
<?php } ?>

<?php if($num_customer == 0){ ?>
<div class="noexist">
	該当するデータはありません。
</div>
<?php } else { ?>
<table class="standard_table" style="width:100％;margin:0 auto;">
	<tr>
		<th style="width:120px;"><a href="./?skey=<?= $default_sortKey ?>&saction=y<?= $q_chr ?>">氏　名</a></th>
<?php if ($corner['inquiry_class']['valid']){ ?>
		<th style="width:95px;"><a href="./?skey=inquiry_class&saction=y<?= $q_chr ?>">種　別</a></th>
<?php } ?>
<?php if ($corner['address']['valid']){ ?>
		<th><a href="./?skey=zip&saction=y<?= $q_chr ?>">住　所</a></th>
<?php } ?>
<?php if ($corner['tel']['valid']){ ?>
		<th style="width:110px;">電話番号</th>
<?php } ?>
<?php if ($corner['email']['valid']){ ?>
		<th style="width:40px;">Email</th>
<?php } ?>
<?php if ($corner['dm']['valid']){ ?>
		<th style="width:40px;"><a href="./?skey=dm&saction=y<?= $q_chr ?>">DM</a></th>
<?php } ?>
	</tr>
<?php
for ($i = $start_rec; $i <= $end_rec; $i++){
	if (!array_key_exists($i, $customer_arr)){break;}
	if ($oddeven == "odd"){
		$oddeven = "even";
	} else {
		$oddeven = "odd";
	}
?>
	<tr class="<?= $oddeven ?>">
		<td><a href="./?f=edit&m=modify&customer_id=<?= $customer_arr[$i]['customer_id'] ?><?= $q_chr ?>"><?= $customer_arr[$i]['l_name'] ?>&nbsp;<?= $customer_arr[$i]['f_name'] ?></a></td>
<?php if ($corner['inquiry_class']['valid']){ ?>
		<td class="center" nowrap><?= $customer_arr[$i]['inquiry_class'] ?></td>
<?php } ?>
<?php if ($corner['address']['valid']){ ?>
		<td><?= $customer_arr[$i]['pref'] ?><?= $customer_arr[$i]['address1'] ?> <?= $customer_arr[$i]['address2'] ?></td>
<?php } ?>
<?php if ($corner['tel']['valid']){ ?>
		<td nowrap><?= $customer_arr[$i]['tel'] ?></td>
<?php } ?>
<?php if ($corner['email']['valid']){ ?>
		<td class="center">
	<?php
		if ($customer_arr[$i]['email']){
			print "<a href='mailto:{$customer_arr[$i]['email']}'>あり</a>";
		} else {
			print "-";
		}
	?>
		</td>
<?php } ?>
<?php if ($corner['dm']['valid']){ ?>
		<td class="center">
	<?php
		if ($customer_arr[$i]['dm'] == "受け取る"){
			print "○";
		} else {
			print "×";
		}
	?>
<?php } ?>
		</td>
	</tr>
<?php
}
?>
</table>

<!-- ページスィッチ -->
<?php if ($total_page > 1) {echo $ps_html;} ?>

<?php } ?>

</div><!-- #contents -->

<div id="footer">
<!-- 著作権表示　削除厳禁 -->
<?php require_once ("CopyRight.tpl"); ?>
</div><!-- #footer -->

</div><!-- #wrap -->
</body>
</html>
