<?php
/**********************************************************/
/*                                                        */
/*                   顧客管理プログラム                   */
/*                                                        */
/*                     問合せフォーム                     */
/*                                                        */
/**********************************************************/

//初期設定ファイル

$ini_file = "mailform/mailform.ini";

//初期設定ファイルの読み込み

if (!file_exists($ini_file)){
	print <<<EOD
<!DOCTYPE html><html lang="ja"><head><meta charset="utf-8" /><title>エラー</title></head><body>
エラー！<br /><br />初期設定ファイルがないか、パスが間違っています。
</body></html>
EOD;
	exit;
} else {
	require_once($ini_file);
}

?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8" />
<title>お問合せフォーム</title>

<style type="text/css">
/* フォームのデフォルト色 */
.form_default {
	background-color: white;
}

/* フォームの入力エラー色 */
.form_error {
  background-color: #fff3f3;
}
</style>

<!-- Jquery include -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>

<?php if ($v['address']){ ?>
<!-- 郵便番号変換スクリプト -->
<script src="https://yubinbango.github.io/yubinbango/yubinbango.js" charset="UTF-8"></script>
<?php } ?>

<?php if ($v['birth_day']){ ?>
<!-- フォーム（生年）の生成 -->
<script type="text/javascript">
$(document).ready(function(){
	var time = new Date();
	var year = time.getFullYear();
	var startYear = year;
	var endYear = year - 100;
	for (var i = startYear; i >= endYear; i--) {
	    $('select[name=birth_year]').append('<option value="' + i + '">' + i + '</option>');
	}
});
</script>
<?php } ?>

<!-- 入力チェック -->
<script type="text/javascript">
$(function(){
	$('#inquiryForm').submit(function() {
		$('input,select,textarea').removeClass('form_error');
		$('.td_dm').removeClass('form_error');
		var msg = "";
<?php if ($v['inquiry_class'] and $r['inquiry_class']){ ?>
		if (!$('select[name=inquiry_class]').val()){
			msg += "お問合せ種類を選択してください\n";
			$('select[name=inquiry_class]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['name'] and $r['name']){ ?>
		if (!$('input[name=l_name]').val()){
			msg += "姓を入力してください\n";
			$('input[name=l_name]').addClass('form_error');
		}
		if (!$('input[name=f_name]').val()){
			msg += "名を入力してください\n";
			$('input[name=f_name]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['name_yomi'] and $r['name_yomi']){ ?>
		if (!$('input[name=l_name_yomi]').val()){
			msg += "姓（ヨミ）を入力してください\n";
			$('input[name=l_name_yomi]').addClass('form_error');
		} else if (!$('input[name=l_name_yomi]').val().match(/^[ァ-ロワヲンー 　]*$/)){
			msg += "姓（ヨミ）は全角カタカナで入力してください\n";
			$('input[name=l_name_yomi]').addClass('form_error');
		}
		if (!$('input[name=f_name_yomi]').val()){
			msg += "名（ヨミ）を入力してください\n";
			$('input[name=f_name_yomi]').addClass('form_error');
		} else if (!$('input[name=f_name_yomi]').val().match(/^[ァ-ロワヲンー 　]*$/)){
			msg += "名（ヨミ）は全角カタカナで入力してください\n";
			$('input[name=f_name_yomi]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['sex'] and $r['sex']){ ?>
		if (!$('select[name=sex]').val()){
			msg += "性別を選択してください\n";
			$('select[name=sex]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['birth_day'] and $r['birth_day']){ ?>
		if (!$('select[name=birth_year]').val() || !$('select[name=birth_month]').val() || !$('select[name=birth_date]').val()){
			msg += "生年月日を選択してください\n";
			if (!$('select[name=birth_year]').val()){
				$('select[name=birth_year]').addClass('form_error');
			}
			if (!$('select[name=birth_month]').val()){
				$('select[name=birth_month]').addClass('form_error');
			}
			if (!$('select[name=birth_date]').val()){
				$('select[name=birth_date]').addClass('form_error');
			}
		}
<?php } ?>
<?php if ($v['address'] and $r['address']){ ?>
		if (!$('input[name=zip]').val()){
			msg += "郵便番号を入力してください\n";
			$('input[name=zip]').addClass('form_error');
		} else if(!$('input[name=zip]').val().match(/^[0-9\-]+$/)){
			msg += "郵便番号は半角数字で入力してください\n";
			$('input[name=zip]').addClass('form_error');
		}
		if (!$('select[name=pref]').val()){
			msg += "都道府県を選択してください\n";
			$('select[name=pref]').addClass('form_error');
		}
		if (!$('input[name=address1]').val()){
			msg += "所在地１を入力してください\n";
			$('input[name=address1]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['tel'] and $r['tel']){ ?>
		if (!$('input[name=tel]').val()){
			msg += "電話番号を入力してください\n";
			$('input[name=tel]').addClass('form_error');
		} else if(!$('input[name=tel]').val().match(/^[0-9\-]+$/)){
			msg += "電話番号は半角数字で入力してください\n";
			$('input[name=tel]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['email'] and $r['email']){ ?>
		if (!$('input[name=email]').val()){
			msg += "Eメールを入力してください\n";
			$('input[name=email]').addClass('form_error');
		} else if(!$('input[name=email]').val().match(/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/)){
			msg += "Eメールを正しく入力してください\n";
			$('input[name=email]').addClass('form_error');
		}
		if (!$('input[name=email_rcfm]').val()){
			msg += "Eメール（確認）を入力してください\n";
			$('input[name=email_rcfm]').addClass('form_error');
		}
		if ($('input[name=email]').val() && $('input[name=email_rcfm]').val() && $('input[name=email]').val() != $('input[name=email_rcfm]').val()){
			msg += "Eメール（確認）が一致しません\n";
			$('input[name=email]').addClass('form_error');
			$('input[name=email_rcfm]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['inquiry'] and $r['inquiry']){ ?>
		if (!$('textarea[name=inquiry]').val()){
			msg += "内容を入力してください\n";
			$('textarea[name=inquiry]').addClass('form_error');
		}
<?php } ?>
<?php if ($v['dm'] and $r['dm']){ ?>
		if (!$('input[name=dm]:checked').val()){
			msg += "お知らせメールを選択してください\n";
			$('.td_dm').addClass('form_error');
		}
<?php } ?>

		if (msg){
			alert(msg);
			return false;
		}

	});
});
</script>

</head>
<body>

<form id="inquiryForm" class="h-adr" method="POST" action="mailform/entry.php">
<input type="hidden" class="p-country-name" value="Japan"><!-- 郵便番号設定 -->
<table>

<?php if ($v['inquiry_class']){ ?>
	<tr>
		<th>お問合せ種類</th>
		<td><select name="inquiry_class" >
			<option value="">▼</option>
			<option value="ご質問">ご質問</option>
			<option value="資料請求">資料請求</option>
			<option value="ご意見・ご感想">ご意見・ご感想</option>
			<option value="その他">その他</option>
		</select></td>
	</tr>
<?php } ?>

<?php if ($v['name']){ ?>
	<tr>
		<th>お名前</th>
		<td>姓<input type="text" name="l_name" style="width:100px;" />&nbsp;&nbsp;名<input type="text" name="f_name" style="width:100px;" /></td>
	</tr>
<?php } ?>

<?php if ($v['name_yomi']){ ?>
	<tr>
		<th>ヨミ</th>
		<td>セイ<input type="text" name="l_name_yomi" style="width:100px;" />&nbsp;&nbsp;メイ<input type="text" name="f_name_yomi" style="width:100px;" /></td>
	</tr>
<?php } ?>

<?php if ($v['sex']){ ?>
	<tr>
		<th>性別</th>
		<td><select name="sex" >
			<option value="">▼</option>
			<option value="男性">男性</option>
			<option value="女性">女性</option>
		</select></td>
	</tr>
<?php } ?>

<?php if ($v['birth_day']){ ?>
	<tr>
		<th>生年月日</th>
		<td><select name="birth_year">
				<option value="">▼</option>
			</select> 年&nbsp;&nbsp;
			<select name="birth_month">
				<option value="">▼</option>
				<option value="01">1</option>
				<option value="02">2</option>
				<option value="03">3</option>
				<option value="04">4</option>
				<option value="05">5</option>
				<option value="06">6</option>
				<option value="07">7</option>
				<option value="08">8</option>
				<option value="09">9</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
			</select> 月&nbsp;&nbsp;
			<select name="birth_date">
				<option value="">▼</option>
				<option value="01">1</option>
				<option value="02">2</option>
				<option value="03">3</option>
				<option value="04">4</option>
				<option value="05">5</option>
				<option value="06">6</option>
				<option value="07">7</option>
				<option value="08">8</option>
				<option value="09">9</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
				<option value="19">19</option>
				<option value="20">20</option>
				<option value="21">21</option>
				<option value="22">22</option>
				<option value="23">23</option>
				<option value="24">24</option>
				<option value="25">25</option>
				<option value="26">26</option>
				<option value="27">27</option>
				<option value="28">28</option>
				<option value="29">29</option>
				<option value="30">30</option>
				<option value="31">31</option>
			</select> 日</td>
	</tr>​
<?php } ?>

<?php if ($v['address']){ ?>
	<tr>
		<th rowspan="3">ご住所</th>
		<td>〒<input type="text" name="zip" class="p-postal-code" style="width:100px;" />&nbsp;&nbsp;※半角数字&nbsp;&nbsp;&nbsp;都道府県<select name="pref" class="p-region">
			<option value="">▼</option>
			<option value="北海道">北海道</option>
			<option value="青森県">青森県</option>
			<option value="岩手県">岩手県</option>
			<option value="宮城県">宮城県</option>
			<option value="秋田県">秋田県</option>
			<option value="山形県">山形県</option>
			<option value="福島県">福島県</option>
			<option value="茨城県">茨城県</option>
			<option value="栃木県">栃木県</option>
			<option value="群馬県">群馬県</option>
			<option value="埼玉県">埼玉県</option>
			<option value="千葉県">千葉県</option>
			<option value="東京都">東京都</option>
			<option value="神奈川県">神奈川県</option>
			<option value="新潟県">新潟県</option>
			<option value="富山県">富山県</option>
			<option value="石川県">石川県</option>
			<option value="福井県">福井県</option>
			<option value="山梨県">山梨県</option>
			<option value="長野県">長野県</option>
			<option value="岐阜県">岐阜県</option>
			<option value="静岡県">静岡県</option>
			<option value="愛知県">愛知県</option>
			<option value="三重県">三重県</option>
			<option value="滋賀県">滋賀県</option>
			<option value="京都府">京都府</option>
			<option value="大阪府">大阪府</option>
			<option value="兵庫県">兵庫県</option>
			<option value="奈良県">奈良県</option>
			<option value="和歌山県">和歌山県</option>
			<option value="鳥取県">鳥取県</option>
			<option value="島根県">島根県</option>
			<option value="岡山県">岡山県</option>
			<option value="広島県">広島県</option>
			<option value="山口県">山口県</option>
			<option value="徳島県">徳島県</option>
			<option value="香川県">香川県</option>
			<option value="愛媛県">愛媛県</option>
			<option value="高知県">高知県</option>
			<option value="福岡県">福岡県</option>
			<option value="佐賀県">佐賀県</option>
			<option value="長崎県">長崎県</option>
			<option value="熊本県">熊本県</option>
			<option value="大分県">大分県</option>
			<option value="宮崎県">宮崎県</option>
			<option value="鹿児島県">鹿児島県</option>
			<option value="沖縄県">沖縄県</option>
		</select></td>
	</tr>
	<tr>
		<td>所在地１<input type="text" name="address1" class="p-locality p-street-address p-extended-address" style="width:200px;" />&nbsp;&nbsp;※都道府県以下の住所</td>
	</tr>
	<tr>
		<td>所在地２<input type="text" name="address2" style="width:200px;" />&nbsp;&nbsp;※マンション名、部屋番号等</td>
	</tr>
<?php } ?>

<?php if ($v['tel']){ ?>
	<tr>
		<th>電話番号</th>
		<td><input type="text" name="tel" style="width:200px;" />&nbsp;&nbsp;※半角数字&nbsp;例）03-1234-5678</td>
	</tr>
<?php } ?>

<?php if ($v['email']){ ?>
	<tr>
		<th>Eメール</th>
		<td><input type="text" name="email" style="width:200px;" />&nbsp;&nbsp;※半角</td>
	</tr>
	<tr>
		<th>Eメール（確認）</th>
		<td><input type="text" name="email_rcfm" style="width:200px;" />&nbsp;&nbsp;※再入力</td>
	</tr>
<?php } ?>

<?php if ($v['inquiry']){ ?>
	<tr>
		<th>内　容</th>
		<td><textarea name="inquiry" rows="10" style="width:400px;"></textarea></td>
	</tr>
<?php } ?>

<?php if ($v['dm']){ ?>
	<tr>
		<th>お知らせメール</th>
		<td class="td_dm"><label><input type="radio" name="dm" value="受け取る" checked />今後、弊社からのお知らせメールを受け取る</label>&nbsp;&nbsp;<label><input type="radio" name="dm" value="受け取らない" />受け取らない</label></td>
	</tr>
<?php } ?>

</table>
<input type="submit" value="送信する" />
</form>

</body>
</html>
