<?php
/**********************************************************/
/*                                                        */
/*                   顧客管理プログラム                   */
/*                     Ver1.0 (2016/3)                    */
/*                                                        */
/*     本プログラムの知的所有権は株式会社ザ・ハウスが     */
/*     所有しています。著作権表示の削除、本プログラム     */
/*     の無断使用、転載、改変を禁じます。                 */
/*                                                        */
/**********************************************************/

//ファイルパス

$ini_file = "./mailform.ini";  //初期設定
//初期設定ファイルの読み込み

if (!file_exists($ini_file)){
	errorMsg("初期設定ファイルがないか、パスが間違っています。");
} else {
	require_once($ini_file);
}

//必須項目チェック（フォームのJavaScriptが無効な場合に必要）
$msg = "";
if ($v['inquiry_class'] and $r['inquiry_class']){
	if (!$_POST['inquiry_class']){
		$msg .= "お問合せ種類を選択してください<br />";
	}
}
if ($v['name'] and $r['name']){
	if (!$_POST['l_name']){
		$msg .= "姓を入力してください<br />";
	}
	if (!$_POST['f_name']){
		$msg .= "名を入力してください<br />";
	}
}
if ($v['name_yomi'] and $r['name_yomi']){
	if (!$_POST['l_name_yomi']){
		$msg .= "姓（ヨミ）を入力してください<br />";
	} elseif (!preg_match("/^[ァ-ヶー]+$/u", $_POST['l_name_yomi'])){
		$msg .= "姓（ヨミ）は全角カタカナで入力してください<br />";
	}
	if (!$_POST['f_name_yomi']){
		$msg .= "名（ヨミ）を入力してください<br />";
	} elseif (!preg_match("/^[ァ-ヶー]+$/u", $_POST['f_name_yomi'])){
		$msg .= "名（ヨミ）は全角カタカナで入力してください<br />";
	}
}
if ($v['sex'] and $r['sex']){
	if (!$_POST['sex']){
		$msg .= "性別を選択してください<br />";
	}
}
if ($v['birth_day'] and $r['birth_day']){
	if (!$_POST['birth_year'] or !$_POST['birth_month'] or !$_POST['birth_date']){
		$msg .= "生年月日を選択してください<br />";
	}
}
if ($v['address'] and $r['address']){
	if (!$_POST['zip']){
		$msg .= "郵便番号を入力してください<br />";
	} elseif(!preg_match("/^[0-9-]+$/", $_POST['zip'])){
		$msg .= "郵便番号は半角数字で入力してください<br />";
	}
	if (!$_POST['pref']){
		$msg .= "都道府県を選択してください<br />";
	}
	if (!$_POST['address1']){
		$msg .= "所在地１を入力してください<br />";
	}
}
if ($v['tel'] and $r['tel']){
	if (!$_POST['tel']){
		$msg .= "電話番号を入力してください<br />";
	} elseif(!preg_match("/^[0-9-]+$/", $_POST['tel'])){
		$msg .= "電話番号は半角数字で入力してください<br />";
	}
}
if ($v['email'] and $r['email']){
	if (!$_POST['email']){
		$msg .= "Eメールを入力してください<br />";
	} elseif(!preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/", $_POST['email'])){
		$msg .= "Eメールを正しく入力してください<br />";
	}
	if (!$_POST['email_rcfm']){
		$msg .= "Eメール（確認）を入力してください<br />";
	}
	if ($_POST['email'] and $_POST['email_rcfm'] and $_POST['email'] != $_POST['email_rcfm']){
		$msg .= "Eメール（確認）が一致しません<br />";
	}
}
if ($v['inquiry'] and $r['inquiry']){
	if (!$_POST['inquiry']){
		$msg .= "内容を入力してください<br />";
	}
}
if ($v['dm'] and $r['dm']){
	if (!$_POST['dm']){
		$msg .= "お知らせメールを選択してください<br />";
	}
}

if ($msg){errorMsg($msg);}  //エラーメッセージの表示

//生年月日の整形と年齢
if ($_POST['birth_year'] and $_POST['birth_month'] and $_POST['birth_date']){
	$birth_day = $_POST['birth_year'] . "/" . $_POST['birth_month'] . "/" . $_POST['birth_date'];
	$tmp =  $_POST['birth_year'] . $_POST['birth_month'] . $_POST['birth_date'];
	$age = (int) ((date('Ymd') - $tmp) / 10000);
}

//問い合わせ内容の改行マークの置換（DB使用の場合は不必要）
if ($_POST['inquiry']){
	$inquiry = preg_replace("/(\r\n|\n|\r)/", "<br />", $_POST['inquiry']);
}

//データの登録

if ($f_listit == "1"){

  //ListItに書き込む場合のデータ
  $customer_file = $ListIt_dir . "dat/customer.dat"; //データファイル
  $serial_file = $ListIt_dir . "dat/serial.dat"; //通し番号ファイル

  //顧客データファイルの存在確認
	if(!file_exists ($customer_file)){
		errorMsg("顧客データファイルがないか、パスが間違っています。");
	}

  //シリアルナンバーの読み込み
	if(!file_exists ($serial_file)){
		errorMsg("通し番号ファイルがないか、パスが間違っています。");
	} else {
		$serial_num = file_get_contents ($serial_file);
	}

	//シリアルナンバーの更新
	$serial_num++;
	file_put_contents($serial_file, $serial_num);

	//入力データの整形
	$dataline = $serial_num . "<>" . date('Y/m/d') . "<>" . date('H:i:s') . "<>" . $_POST['inquiry_class'] . "<>" . $_POST['l_name'] . "<>" . $_POST['f_name'] . "<>" . $_POST['l_name_yomi'] . "<>" . $_POST['f_name_yomi'] . "<>" . $_POST['sex'] . "<>" . $birth_day . "<>" . $_POST['zip'] . "<>" . $_POST['pref'] . "<>" . $_POST['address1'] . "<>" . $_POST['address2'] . "<>" . $_POST['tel'] . "<>" . $_POST['email'] . "<>" . $inquiry . "<>" . $_POST['dm'] . "<>\n";

	//入力データの書き込み
	file_put_contents($customer_file, $dataline, FILE_APPEND | LOCK_EX);

}

//入力部分の構成

if ($v['inquiry_class']){
	$mail_contents .= "お問合せ種類：{$_POST['inquiry_class']}\n\n";
}

if ($v['name']){
	$mail_contents .= "お名前：{$_POST['l_name']} {$_POST['f_name']} 様\n";
}

if ($v['name_yomi']){
	$mail_contents .= "　ヨミ：{$_POST['l_name_yomi']} {$_POST['f_name_yomi']} 様\n";
}

if ($v['sex']){
	$mail_contents .= "性別：{$_POST['sex']} \n";
}

if ($v['birth_day']){
	$mail_contents .= "生年月日：{$birth_day}（{$age}才） \n";
}

$mail_contents .= "\n";

if ($v['address']){
	$mail_contents .= "ご住所：〒{$_POST['zip']}\n" . "　　　　" . "{$_POST['pref']}{$_POST['address1']}\n" . "　　　　" . "{$_POST['address2']}\n";
}

if ($v['tel']){
	$mail_contents .= "電話番号：{$_POST['tel']}\n";
}

if ($v['email']){
	$mail_contents .= "Eメール：{$_POST['email']}\n";
}

if ($v['address'] or $v['tel'] or $v['email']){
	$mail_contents .= "\n";
}

if ($v['dm']){
	$mail_contents .= "お知らせメール：{$_POST['dm']}\n";
}

if ($v['dm']){
	$mail_contents .= "\n";
}

if ($v['inquiry']){
	$mail_contents .= "内　容：\n{$_POST['inquiry']}\n";
}

//エンコーディング
mb_language("japanese");
mb_internal_encoding("UTF-8");

//メール送信元
$mailfrom = mb_encode_mimeheader(mb_convert_encoding($mail_from_kana,"JIS","UTF-8")) . "<{$mail_form}>";

//管理者へメール
$mailto = $admin_address;
if ($_POST['inquiry_class'] == "資料請求"){
	$subject = replaceTpl($admin_mail_subject1);
	$mailbody = replaceTpl($admin_mail_body1);
} else {
	$subject = replaceTpl($admin_mail_subject2);
	$mailbody = replaceTpl($admin_mail_body2);
}
mb_send_mail($mailto,$subject,$mailbody,"From:".$mailfrom);

//応募者へメール
if($mail_mode == "1"){
	$mailto = $_POST['email'];
	if ($_POST['inquiry_class'] == "資料請求"){
		$subject = replaceTpl($user_mail_subject1);
		$mailbody = replaceTpl($user_mail_body1);
	} else {
		$subject = replaceTpl($user_mail_subject2);
		$mailbody = replaceTpl($user_mail_body2);
	}
	mb_send_mail($mailto,$subject,$mailbody,"From:".$mailfrom);
}

//サンクスページにリダイレクト
if ($_POST['inquiry_class'] == "資料請求"){
	header('Location: ' . $thanks1);
} else {
	header('Location: ' . $thanks2);
}
exit;

/******************** 関数*******************/

//エラーメッセージ表示
function errorMsg($chr){
	print <<<EOD
<!DOCTYPE html><html lang="ja"><head><meta charset="utf-8" /><title>エラー</title></head><body>
エラー！<br />{$chr}
</body></html>
EOD;
	exit;
}

//メールテンプレートの置換
function replaceTpl ($chr) {
	global $mail_contents;
	$chr = str_replace("%%問合せ者名%%", $_POST['l_name'] . " " . $_POST['f_name'], $chr);
	$chr = str_replace("%%入力内容%%", $mail_contents, $chr);
	$chr = str_replace("%%問合せ日%%", date('Y年m月d日') , $chr);
	$chr = str_replace("%%問合せ時間%%", date('H時i分'), $chr);
	return $chr;
}